Updates the contact with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "c74958df-c4f0-4503-a64c-bc179496cd21",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "7a58a7ee-0c86-45e7-9a21-65fcfba9a122",
"company_code": "sample string 5",
"company": {
"id": "2fd8c93d-9cbf-498e-adf6-3090b1ded0f1",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-11-14T21:21:53.8037483+00:00",
"sales_territory_id": "02191a31-4dce-4680-a0d1-0a0c0c98c285",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "b528f899-a19f-4d51-aed5-3118880a35e1",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "7da4245d-edac-4788-8946-07c252477713",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "4fea2173-bac0-4490-9f1d-ffec506cf9d0",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "c3cba6e6-612a-42ba-a0bc-50426f13f334",
"db_currency_id": "56e96b67-3192-44b2-81b7-83de5ce43cd9",
"db_language_id": "e8e9d275-7b53-4300-9924-e38460039c68",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-14T21:21:53.8230271+00:00"
},
"modified_dateutc": "2026-11-14T21:21:53.8230271+00:00"
},
"marketing_segment_id": "23ff4b39-e8cc-4d75-8e7b-03e4503f9494",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "282a6c20-0a85-4832-8e37-81cc0de0fe3e",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "1aeeca97-9316-443f-8370-418ca371d464",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "dbc656b5-7ca9-4ddb-959b-9c51fe569994",
"db_country_code": "sample string 28",
"feelist_id": "ca2b01fd-20e0-4660-b40a-8a264d46ec2d",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "c59886fc-18bf-4e89-a2ca-2c8c2de9b735",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "8ecf2476-a67f-45e9-a910-78369938fdc3",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-11-14T21:21:53.8230271+00:00",
"db_currency_id": "c9cb82c0-843f-4c44-9efb-132579bf3d70",
"db_currency_code": "sample string 10"
},
"company_type_id": "8094fc04-9378-40de-a72a-bf970e1f601f",
"company_type_name": "sample string 32",
"company_type": {
"id": "30945c75-e5e5-4980-b128-df9e230c37dc",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "ddc8f0a2-0d84-41a3-be89-ad315a3b6af4",
"sales_organization_code": "sample string 5"
},
"db_language_id": "3d7663b8-38e1-4bf0-9a8b-17fec2b24a00",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "49622743-6aa9-43df-ac60-79d47957ec13",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "4bec629f-c8e7-4a9f-9236-7873c6252b5d",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "b51ed3bd-f422-496e-a89c-faf130973a50",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-11-14T21:21:53.8230271+00:00"
},
"company_sector_id": "f172f203-835d-441d-a5e8-4d58626f8b96",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "0c3221e6-38c7-4156-847c-1383162db8e7",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "bb3cd71b-83ed-4459-8fb2-04b5d568b1d9",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "2384c8c3-eb2b-40d1-8eab-2888ba00c52a",
"account_manager_user_code": "sample string 56",
"company_status_id": "044494db-c3c3-4a45-bb60-bc7bcc6cae0a",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-11-14T21:21:53.8230271+00:00",
"id2": 60
},
"db_language_id": "e45049bb-38fb-4018-9b80-b7ecbac5c628",
"db_language_code": "sample string 7",
"db_title_id": "fee917d3-8039-4a77-b05c-77a98db5801a",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-11-14T21:21:53.8334414+00:00",
"create_date": "2026-11-14T21:21:53.8334414+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-11-14T21:21:53.8334414+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.